/*
 *  Copyright (C) 1999,2000 Laszlo Boloni
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *
 *  LookNFeelConfig.h
 */

#ifndef __LOOK_N_FEEL_CONFIG_H__
#define __LOOK_N_FEEL_CONFIG_H__

#include <qbutton.h>
#include <qlayout.h>
#include <qlabel.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>
#include <qcheckbox.h>
#include <qspinbox.h>
#include <kcmodule.h>
#include <kconfig.h>
#include <kcolorbtn.h>


class LookNFeelConfig : public KCModule
{
  Q_OBJECT

public:
    LookNFeelConfig( QWidget *parent=0, const char* name=0 );
    ~LookNFeelConfig( );
    KConfigBase *config;

    virtual void load();
    virtual void save();
    virtual void applySettings();
    virtual void defaults();


protected slots:
    void slotChanged();
private:
    QVBoxLayout *layout;
    QLabel *tips_label;

    QSpinBox *fontsize;
    KColorButton *regular_bg, *category_bg;
    KColorButton *positive_link, *negative_link;
    QCheckBox *transparent_bg;
    QCheckBox *animation;
    QCheckBox *askDelete;
};

#endif // __LOOK_N_FEEL_CONFIG_H__

