/*
    This file is part of the KDE system
    Copyright (C)  1999 Boloni Laszlo

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public License
    along with this library; see the file COPYING.LIB.  If not, write to
    the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
    Boston, MA 02111-1307, USA.


    gofaiDataSource_Memory.h

 */

#ifndef __GOFAI_DATASOURCE_MEMORY_H
#define __GOFAI_DATASOURCE_MEMORY_H

#include <qstring.h>
#include <qlist.h>
#include <qfile.h>
#include "gofaiDataSource.h"
#include "gofaiDataView.h"
#include "Domifiable.h"

/**
   The data source is in memory and saved into a file
 */
class gofaiDataSource_Memory:
    public gofaiDataSource {
 public:
    gofaiDataSource_Memory();
    virtual ~gofaiDataSource_Memory() {};
    // Domifiable
    bool writeToDOM(QDomDocument &doc, QDomElement &parent);
    bool readFromDOM(QDomElement &e);

 protected:
    bool updateItem(gofaiItem *it);
    void addItem2(gofaiItem *it);
    void removeItem(gofaiItem *it);
    virtual void getAdjacentLinks(gofaiItem *it,
                                  LinkDirection direction,
                                  QList<gofaiItem> &list);
    gofaiItem* lookupItem(gofaiID id); // if id == -1, first one
    gofaiItem* lookupItemByName(QString name);
    void find(QString prefix, QList<gofaiItem> &list);
private:
    gofaiID getUniqueId();
    QList <gofaiItem> db;
};

#endif // __GOFAI_DATASOURCE_MEMORY_H
