/*
    This file is part of the KDE system
    Copyright (C)  1999 Boloni Laszlo
 
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.
 
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.
 
    You should have received a copy of the GNU Library General Public License
    along with this library; see the file COPYING.LIB.  If not, write to
    the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
    Boston, MA 02111-1307, USA.
*/
/*
 * gofaiEditLinkTypesDialog.cpp
 *
 */

#include "gofaiEditLinkTypesDialog.h"
#include <fstream.h>
#include <qlayout.h>
#include <kdebug.h>
#include "klocale.h"

gofaiEditLinkTypesDialog::gofaiEditLinkTypesDialog(QWidget *parent) :
    KDialog(parent, "Edit ontologies", true) {
    setCaption(i18n("Edit ontologies"));
    QVBoxLayout *hlay = new QVBoxLayout(this, 3);

    edt = new KLineEdit(this);
    hlay->addWidget(edt);

    lb = new KListBox(this);
    hlay->addWidget(lb);

    QHBoxLayout *vlay = new QHBoxLayout(hlay, 2);
    
    edit = new QPushButton( i18n("Edit"), this );
    edit->setEnabled(false);
    vlay->addWidget(edit);
    //    ok->setGeometry( 10,10, 100,30 );
    connect( edit, SIGNAL(clicked()), SLOT(accept()) );

    connect( edt, SIGNAL(textChanged(const QString&)), SLOT(refreshList()));
    connect( edt, SIGNAL(returnPressed()), SLOT(accept()));

    //    cancel = new QPushButton( i18n("Cancel"), this );
    // vlay->addWidget(cancel);
    
    //cancel->setGeometry( 10,60, 100,30 );
    //connect( cancel, SIGNAL(clicked()), SLOT(reject()) );
    connect( lb, SIGNAL(selected(int)), SLOT(accept()) );
    edt->setFocus();
    hlay->activate();
    resize(150,320);
}

void gofaiEditLinkTypesDialog::refreshList() {
}



QString gofaiEditLinkTypesDialog::getValue() {
    if (lb->numRows() > 0) {
	
	kdError()<< "real select\n" << lb->text(lb->currentItem()) << "\n";
	return lb->text(lb->currentItem());
    }
    return edt->text();
};

#include "gofaiEditLinkTypesDialog.moc"
