/*
    This file is part of the KDE system
    Copyright (C)  1999 Boloni Laszlo

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public License
    along with this library; see the file COPYING.LIB.  If not, write to
    the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
    Boston, MA 02111-1307, USA.


*/

#ifndef __GOFAI_ITEMPROCESS_H
#define __GOFAI_ITEMPROCESS_H

#include "gofaiItem.h"
#include <dcopclient.h>
#include <dcopref.h>

class gofaiItemProcess {
 public:
    static bool browseTo(gofaiItem *it);
    static bool konquerorBrowseTo(gofaiItem *it);
    static bool netscapeBrowseTo(gofaiItem *it);
 private:
    // these point to the current konq window
    static DCOPRef theWindow;
    static bool foundKonq;
    static void lookForKonqWindow(bool);
    static QString addHTTP(QString link);
};

#endif
