/*
    This file is part of the KDE system
    Copyright (C)  1999 Boloni Laszlo

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public License
    along with this library; see the file COPYING.LIB.  If not, write to
    the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
    Boston, MA 02111-1307, USA.

    gofai_common.h

    This is the common root of the standalone and embedded gofai

*/

#ifndef __GOFAI_COMMON_H
#define __GOFAI_COMMON_H

#include <kurl.h>
#include <qsplitter.h>
#include "gofaiWidget.h"
#include "DetailWidget.h"
#include "gofaiDataSource.h"
#include "gofaiDataSource_Memory.h"
#include "gofaiConfig.h"

class gofai_common {
public:
    gofai_common();
    ~gofai_common();
    void initialize(QWidget *parent);
protected:
  QSplitter *splitter;
  gofaiWidget* gofw;
  DetailWidget* detail;
    // the data view
  gofaiDataView *dv;
  bool loadFile(const QString & filename);
  bool saveToFile(const QString &destination);
};


#endif // __GOFAI_COMMON_H
