/*
    This file is part of the KDE system
    Copyright (C)  1999,2000 Boloni Laszlo

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public License
    along with this library; see the file COPYING.LIB.  If not, write to
    the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
    Boston, MA 02111-1307, USA.

    gofai_part.cpp

*/

#ifndef __GOFAI_PART_H__
#define __GOFAI_PART_H__

#include <kparts/browserextension.h>
#include <klibloader.h>
#include <kaction.h>
#include "gofaiWidget.h"
#include "DetailWidget.h"
#include "gofaiDataSource.h"
#include "gofaiDataSource_Memory.h"
#include "gofai_common.h"

class KInstance;
class gofaiBrowserExtension;
class QLabel;

class gofaiFactory : public KLibFactory
{
    Q_OBJECT
        public:
    gofaiFactory();
    virtual ~gofaiFactory();

    virtual QObject* create(QObject* parent = 0, const char* name = 0,
                            const char* classname = "QObject",
                            const QStringList &args = QStringList());

    static KInstance *instance();

 private:
    static KInstance *s_instance;
};

class gofaiPart: public KParts::ReadOnlyPart, public gofai_common
{
    Q_OBJECT
        public:
    gofaiPart(QWidget *parent, const char *name);
    virtual ~gofaiPart();

 protected:
    virtual bool openFile();
 private:
    QLabel *widget;
    /*
    gofaiDataView *dv;
    gofaiWidget *gofw;
    DetailWidget *detail;
    */
    gofaiBrowserExtension *m_extension;
};

class gofaiBrowserExtension : public KParts::BrowserExtension
{
    Q_OBJECT
        friend class gofaiPart;
 public:
    gofaiBrowserExtension(gofaiPart *parent);
    virtual ~gofaiBrowserExtension();
};

#endif
