/*
    This file is part of the KDE system
    Copyright (C)  1999, 2000 Boloni Laszlo

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public License
    along with this library; see the file COPYING.LIB.  If not, write to
    the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
    Boston, MA 02111-1307, USA.

    main.cpp - Good Old Fashioned Artificial Intelligence
                       With a Modern Twist
 */

#include <kcmdlineargs.h>
#include <kaboutdata.h>
#include <klocale.h>
#include "gofai.h"
#include <dcopclient.h>

static const char *description =
        I18N_NOOP("GOFAI-WMT: Good Old Fashioned Artificial Intelligence - With A Modern Twist");

static const char *version = "0.9.9";

int main(int argc, char* argv[]) {
  KAboutData aboutData( "gofai", I18N_NOOP("Good Old Fashioned AI"),
    version, description, KAboutData::License_LGPL,
    "(c) 1999, 2000 Boloni Laszlo");
  aboutData.addAuthor("Boloni Laszlo",
                      I18N_NOOP("author"),
                      "boloni@cplane.com",
                      "http://www.geocities.com/boloni2");
  KCmdLineArgs::init( argc, argv, &aboutData );

  KApplication a;
  a.dcopClient()->attach();

  if (a.isRestored()) {
    RESTORE(Gofai)
  } else {
    // no session management: just create one window
    Gofai* gofai = new Gofai;
    if (argc > 1)
      gofai->loadFile(argv[1]);
    gofai->show();
  }
  a.exec();
}


